auto-import changelog data from radvd-0.6.2pl4-1.src.rpm

Mon Jul 09 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- initial Red Hat Linux build
Sun Jun 24 2001 Pekka Savola <pekkas@netcore.fi>
- add a patch from USAGI for overflow, Copyright -> License.
Wed Jun 20 2001 Pekka Savola <pekkas@netcore.fi>
- use /sbin/service.
- update to 0.6.2pl4.
Sat Apr 28 2001 Pekka Savola <pekkas@netcore.fi>
- update to 0.6.2pl3.
Wed Apr 11 2001 Pekka Savola <pekkas@netcore.fi>
- update to 0.6.2pl2.
Wed Apr 04 2001 Pekka Savola <pekkas@netcore.fi>
- update to 0.62pl1. Bye bye patches!
- Require: initscripts (should really be with a version providing IPv6)
- clean up the init script, make condrestart work properly
- Use a static /etc/rc.d/init.d; init.d/radvd required it anyway.
Sun Apr 01 2001 Pekka Savola <pekkas@netcore.fi>
- add patch to chroot (doesn't work well yet, as /proc is used directly)
- clean up droproot patch, drop the rights earlier; require user-writable
    pidfile directory
- set up the pidfile directory at compile time.
Sat Mar 31 2001 Pekka Savola <pekkas@netcore.fi>
- add select/kill signals patch from Nathan Lutchansky
    <lutchann@litech.org>.
- add address syntax checked fix from Marko Myllynen <myllynen@lut.fi>.
- add patch to check the pid file before fork.
- add support for OPTIONS sourced from /etc/sysconfig/radvd, provide a nice
    default one.
- add/delete radvd user, change the pidfile to /var/run/radvd/radvd.pid.
- fix initscript NETWORKING_IPV6 check.
Sun Mar 18 2001 Pekka Savola <pekkas@netcore.fi>
- add droproot patch, change to nobody by default (should use radvd:radvd
    or the like, really).
Mon Mar 05 2001 Tim Powers <timp@redhat.com>
- applied patch supplied by Pekka Savola in #30508
- made changes to initscript as per Pekka's suggestions
Thu Feb 15 2001 Tim Powers <timp@redhat.com>
- needed -D_GNU_SOURCE to build properly
Tue Feb 06 2001 Tim Powers <timp@redhat.com>
- use %configure and %makeinstall, just glob the manpages, cleans things up
- fixed initscript so that it can be internationalized in the future
Fri Feb 02 2001 Pekka Savola <pekkas@netcore.fi>
- Create a single package(source) for glibc21 and glibc22 (automatic
    Requires can handle this just fine).
- use %{_mandir} and friends
- add more flesh to %doc
- streamline %config file %attrs
- streamline init.d file a bit:
add reload/condrestart
minor tweaks
localization support (initscripts-5.60)
- use %initdir macro
Thu Feb 01 2001 Lars Fenneberg <lf@elemental.net>
- updated to new release 0.6.2
Thu Feb 01 2001 Marko Myllynen <myllynen@lut.fi>
- initial version, radvd version 0.6.1
This commit is contained in:
cvsdist 2004-09-09 11:04:01 +00:00
parent 27c705864c
commit d63305dc9b
5 changed files with 238 additions and 0 deletions

View File

@ -0,0 +1 @@
radvd-0.6.2pl4.tar.gz

72
radvd.init Normal file
View File

@ -0,0 +1,72 @@
#! /bin/sh
#
# $Id: radvd.init,v 1.1 2001/04/11 15:58:30 psavola Exp $
#
# chkconfig: - 54 46
# description: radvd is the router advertisement daemon for IPv6. It \
# listens to router solicitations and sends router \
# advertisements as described in "Neighbor Discovery for IP \
# Version 6 (IPv6)" (RFC 2461). With these advertisements \
# hosts can automatically configure their addresses and some \
# other parameters. They also can choose a default router \
# based on these advertisements.
#
# processname: radvd
# pidfile: /var/run/radvd.pid
# config: /etc/radvd.conf
# config: /etc/sysconfig/radvd
# Source function library.
. /etc/rc.d/init.d/functions
# Get config.
. /etc/sysconfig/network
# Check that networking is up.
[ x${NETWORKING_IPV6} = "xyes" ] || exit 0
[ -f /etc/sysconfig/radvd ] && . /etc/sysconfig/radvd
[ -f /usr/sbin/radvd ] || exit 0
RETVAL=0
prog="radvd"
# See how we were called.
case "$1" in
start)
echo -n $"Starting $prog: "
daemon radvd $OPTIONS
RETVAL=$?
echo
[ $RETVAL -eq 0 ] && touch /var/lock/subsys/radvd
;;
stop)
echo -n $"Stopping $prog: "
killproc radvd
RETVAL=$?
echo
[ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/radvd
;;
status)
status radvd
RETVAL=$?
;;
restart|reload)
$0 stop
$0 start
RETVAL=$?
;;
condrestart)
if [ -f /var/lock/subsys/radvd ]; then
$0 stop
$0 start
RETVAL=$?
fi
;;
*)
echo $"Usage: radvd {start|stop|status|restart|reload|condrestart}"
exit 1
esac
exit $RETVAL

157
radvd.spec Normal file
View File

@ -0,0 +1,157 @@
%define initdir /etc/rc.d/init.d
#%(if test -d /etc/init.d/. ; then echo /etc/init.d ; else echo /etc/rc.d/init.d ; fi)
Summary: A Router Advertisement daemon
Name: radvd
Version: 0.6.2pl4
Release: 1
License: BSD
Group: System Environment/Daemons
Source0: http://v6web.litech.org/radvd/radvd-%{version}.tar.gz
Source1: radvd.init
Source2: radvd.sysconfig
PreReq: chkconfig, /usr/sbin/useradd, /sbin/service, initscripts
BuildRoot: %{_tmppath}/%{name}-root
Patch0: radvd-usagi.patch
%description
radvd is the router advertisement daemon for IPv6. It listens to router
solicitations and sends router advertisements as described in "Neighbor
Discovery for IP Version 6 (IPv6)" (RFC 2461). With these advertisements
hosts can automatically configure their addresses and some other
parameters. They also can choose a default router based on these
advertisements.
Install radvd if you are setting up IPv6 network and/or Mobile IPv6
services.
%prep
%setup
%patch -p0
%build
CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE" %configure --with-pidfile=/var/run/radvd/radvd.pid
make
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
install -m 644 $RPM_BUILD_DIR/radvd-%{version}/radvd.conf.example $RPM_BUILD_ROOT%{_sysconfdir}/radvd.conf
mkdir -p $RPM_BUILD_ROOT%{initdir}
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{initdir}/radvd
mkdir -p $RPM_BUILD_ROOT/var/run/radvd
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/radvd
%clean
rm -rf $RPM_BUILD_ROOT
%postun
if [ "$1" -ge "1" ]; then
/sbin/service radvd condrestart >/dev/null 2>&1
fi
if [ $1 = 0 ]; then
/usr/sbin/userdel radvd > /dev/null 2>&1 || :
fi
%post
/sbin/chkconfig --add radvd
%preun
if [ $1 = 0 ]; then
/sbin/service radvd stop >/dev/null 2>&1
/sbin/chkconfig --del radvd
fi
%pre
/usr/sbin/useradd -c "radvd user" -r -s /bin/false -u 75 -d / radvd 2>/dev/null || :
%files
%defattr(-,root,root)
%doc README CHANGES INTRO.html TODO
%config(noreplace) %{_sysconfdir}/radvd.conf
%config(noreplace) /etc/sysconfig/radvd
%config %{initdir}/radvd
%dir %attr(-,radvd,radvd) /var/run/radvd/
%{_mandir}/*/*
%{_sbindir}/radvd
%{_sbindir}/radvdump
%changelog
* Mon Jul 9 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- initial Red Hat Linux build
* Sun Jun 24 2001 Pekka Savola <pekkas@netcore.fi>
- add a patch from USAGI for overflow, Copyright -> License.
* Wed Jun 20 2001 Pekka Savola <pekkas@netcore.fi>
- use /sbin/service.
- update to 0.6.2pl4.
* Sat Apr 28 2001 Pekka Savola <pekkas@netcore.fi>
- update to 0.6.2pl3.
* Wed Apr 11 2001 Pekka Savola <pekkas@netcore.fi>
- update to 0.6.2pl2.
* Wed Apr 4 2001 Pekka Savola <pekkas@netcore.fi>
- update to 0.62pl1. Bye bye patches!
- Require: initscripts (should really be with a version providing IPv6)
- clean up the init script, make condrestart work properly
- Use a static /etc/rc.d/init.d; init.d/radvd required it anyway.
* Sun Apr 1 2001 Pekka Savola <pekkas@netcore.fi>
- add patch to chroot (doesn't work well yet, as /proc is used directly)
- clean up droproot patch, drop the rights earlier; require user-writable
pidfile directory
- set up the pidfile directory at compile time.
* Sat Mar 31 2001 Pekka Savola <pekkas@netcore.fi>
- add select/kill signals patch from Nathan Lutchansky <lutchann@litech.org>.
- add address syntax checked fix from Marko Myllynen <myllynen@lut.fi>.
- add patch to check the pid file before fork.
- add support for OPTIONS sourced from /etc/sysconfig/radvd, provide a nice
default one.
- add/delete radvd user, change the pidfile to /var/run/radvd/radvd.pid.
- fix initscript NETWORKING_IPV6 check.
* Sun Mar 18 2001 Pekka Savola <pekkas@netcore.fi>
- add droproot patch, change to nobody by default (should use radvd:radvd or
the like, really).
* Mon Mar 5 2001 Tim Powers <timp@redhat.com>
- applied patch supplied by Pekka Savola in #30508
- made changes to initscript as per Pekka's suggestions
* Thu Feb 15 2001 Tim Powers <timp@redhat.com>
- needed -D_GNU_SOURCE to build properly
* Tue Feb 6 2001 Tim Powers <timp@redhat.com>
- use %%configure and %%makeinstall, just glob the manpages, cleans
things up
- fixed initscript so that it can be internationalized in the future
* Fri Feb 2 2001 Pekka Savola <pekkas@netcore.fi>
- Create a single package(source) for glibc21 and glibc22 (automatic
Requires can handle this just fine).
- use %%{_mandir} and friends
- add more flesh to %doc
- streamline %config file %attrs
- streamline init.d file a bit:
* add a default chkconfig: (default to disable for security etc. reasons;
also, the default config isn't generic enough..)
* add reload/condrestart
* minor tweaks
* missing: localization support (initscripts-5.60)
- use %%initdir macro
* Thu Feb 1 2001 Lars Fenneberg <lf@elemental.net>
- updated to new release 0.6.2
* Thu Feb 1 2001 Marko Myllynen <myllynen@lut.fi>
- initial version, radvd version 0.6.1

7
radvd.sysconfig Normal file
View File

@ -0,0 +1,7 @@
# $Id: radvd.sysconfig,v 1.1 2004/09/09 11:04:01 cvsdist Exp $
# No chroot; /var/run/radvd must be owned by -u.
OPTIONS="-u radvd"
# Chroot; directory structure under /var/chroot/radvd has to be populated.
#OPTIONS="-u radvd -t /var/chroot/radvd"

View File

@ -0,0 +1 @@
3f8916f78012819fe578ded9997bec65 radvd-0.6.2pl4.tar.gz